Package ch.qos.logback.classic.selector.servlet

# Class ContextDetachingSCL

java.lang.Object
ch.qos.logback.classic.selector.servlet.ContextDetachingSCL

All Implemented Interfaces:
  `EventListener`, `javax.servlet.ServletContextListener`

public class ContextDetachingSCL extends Object implements javax.servlet.ServletContextListener

## Constructor Summary

Constructors
Constructor
Description
`ContextDetachingSCL()`

## Method Summary

Modifier and Type
Method
Description
`void`
`contextDestroyed(javax.servlet.ServletContextEvent servletContextEvent)`
`void`
`contextInitialized(javax.servlet.ServletContextEvent arg0)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ContextDetachingSCL

public ContextDetachingSCL()

## Method Details

### contextInitialized

public void contextInitialized(javax.servlet.ServletContextEvent arg0)

Specified by:
  `contextInitialized` in interface `javax.servlet.ServletContextListener`

### contextDestroyed

public void contextDestroyed(javax.servlet.ServletContextEvent servletContextEvent)

Specified by:
  `contextDestroyed` in interface `javax.servlet.ServletContextListener`